Foreman - Bug #6234

sorting compute resources and subnets tables by different keys produces ISE
06/16/2014 09:50 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Stephen Benjamin

Category: Search

Target version: 1.5.2

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1109740 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1109740
Description of problem:
Sorting different tables by different keys produces ISE

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140612.1

How reproducible:
always

Steps to Reproduce:

1. Go to Compute Resources page:

Infrastructure -> Compute Resources

2. Attempt to sort by "Type" (click on "Type" in table heading)

OR:

1. Go to Subnets page:
Infrastructure -> Subnets
2. Attempt to sort by "Domain” (click on "Domain” in table heading)

Actual results:
Error appears

Expected results:
Should be sorted by given column

Additional info:
Sorting compute resources by Type:

Processing by ComputeResourcesController#index as HTML

Parameters: {"order"=>"type ASC"}

Operation FAILED: the field 'type' in the order statement is not valid field for search
Rendered common/500.html.erb within layouts/application (4.4ms)

Rendered layouts/base.html.erb (1.1ms)

Completed 500 Internal Server Error in 22ms (Views: 7.1ms | ActiveRecord: 0.0ms)

Sorting subnets by Domain:

Processing by SubnetsController#index as HTML

Parameters: {"order"=>"domains ASC"}

Operation FAILED: the field 'domains’ in the order statement is not valid field for search
Rendered common/500.html.erb within layouts/application (7.1ms)

Rendered layouts/base.html.erb (1.5ms)

Completed 500 Internal Server Error in 28ms (Views: 11.1ms | ActiveRecord: 0.0ms)
https://bugzilla.redhat.com/show_bug.cgi?id=1109740

Associated revisions

Revision 5dd996fd - 06/17/2014 12:33 PM - Stephen Benjamin

fixes #6234 - fixes sorting on compute resources and subnets

Revision a2dfaf3b - 07/28/2014 07:15 AM - Stephen Benjamin

fixes #6234 - fixes sorting on compute resources and subnets

(cherry picked from commit 5dd996fd87a191e1dd4cf07d20a90ed4145fdf50)

History

#1 - 06/16/2014 09:50 AM - Dominic Cleal

- Category set to Search

#2 - 06/16/2014 02:48 PM - Dominic Cleal
- Status changed from New to Ready For Testing
- Assignee set to Stephen Benjamin

- Target version set to 1.8.1

https://github.com/theforeman/foreman/pull/1517

#3 - 06/17/2014 12:32 PM - Dominic Cleal

- translation missing: en.field_release set to 18

#4 - 06/17/2014 01:31 PM - Stephen Benjamin
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset fd87a191e1dd4cf07d2 4145fdf
